Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166171 - fixed watch in variables window has other icon than in watches window
fixed watch in variables window has other icon than in watches window
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-28 13:07 UTC by Filip Zamboj
Modified: 2009-07-15 16:24 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Filip Zamboj 2009-05-28 13:07:41 UTC
Product Version: NetBeans IDE 6.7 RC1 (Build 200905280001)
Java: 1.6.0_13; Java HotSpot(TM) 64-Bit Server VM 11.3-b02
System: Linux version 2.6.28-11-generic running on amd64; UTF-8; en_US (nb)


fixed watch in variables view has the same icon as variables. fixed watch in watches view has "standart" correct icon.
Comment 1 Martin Entlicher 2009-06-04 13:41:13 UTC
Some changes in model that combine variables and watches is necessary...
Comment 2 Martin Entlicher 2009-06-04 14:49:49 UTC
Fixed in changeset:   134245:8b3de1d4fdb0
http://hg.netbeans.org/main/rev/8b3de1d4fdb0
Comment 3 Quality Engineering 2009-06-11 08:40:56 UTC
Integrated into 'main-golden', will be available in build *200906110201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8b3de1d4fdb0
User: mentlicher@netbeans.org
Log: #166171 - The UnionTreeModel changed to always ask only the particular model the node comes from. Also some corrections of the Results view are made.
Comment 4 Vojtech Sigler 2009-06-23 10:31:09 UTC
If the fix is safe, it would be nice to have this in 67patch.
Comment 5 Vojtech Sigler 2009-07-02 13:05:15 UTC
Verified in trunk build (200907020200).
Comment 6 pgebauer 2009-07-07 11:58:59 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/256030d31466


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo